"""
Wendland W32 compactly supported Radial Basis function class.  The functions
are positive definite in dimensions d <= 3 and have C4 smoothness.

import suggestion: from W32 import *

"""


from rbfCompactClass import rbfc

class W32(rbfc):

	def rbf(self,r,s):
		r = r/s
		return self.pPlus(r,6)*(3 + 18*r + 35*r**2)

	def D1(self, r, s, x):
		r, x = r/s, x/s
		return -(56/s)*x*self.pPlus(r,5)*(1 + 5*r)

	def D2(self, r, s, x):
		r, x = r/s, x/s
		return (56/s**2)*self.pPlus(r,4)*(-1 - 4*r + 5*r**2 + 30*x**2)
		
	
